Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.diagnostics
Class TaskReportTask

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.diagnostics.AbstractReportTask
                      org.gradle.api.tasks.diagnostics.TaskReportTask

    class TaskReportTask
    extends AbstractReportTask

The `TaskReportTask` prints out the list of tasks in the project, and its subprojects. It is used when you use the task list command-line option.

Constructor Summary
`TaskReportTask(Project project, java.lang.String name)`

Method Summary
`void` | `generate(Project project)`
`ProjectReportRenderer` | `getRenderer()`
`void` | `setRenderer(TaskReportRenderer renderer)`

Methods inherited from class AbstractReportTask
generate, getOutputFile, getRenderer, setOutputFile

Methods inherited from class ConventionTask
conv, conventionMapping, conventionMapping, conventionProperty, getConventionAwareHelper, getConventionMapping, setConventionAwareHelper, setConventionMapping

Methods inherited from class DefaultTask
leftShift, methodMissing, propertyMissing

Methods inherited from class AbstractTask
captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getPath, getProject, getSkipProperties, getStandardOutputCapture, getTaskDependencies, hasProperty, hashCode, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setProject, setProperty, setSkipProperties, setStandardOutputCapture, toString

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### TaskReportTask

    public TaskReportTask(Project project, java.lang.String name)

Method Detail

### generate

    public void generate(Project project)

### getRenderer

    public ProjectReportRenderer getRenderer()

### setRenderer

    public void setRenderer(TaskReportRenderer renderer)

Groovy Documentation